CREATE TABLE jl_br_ap_collection_docs_all (
    BANK_COLLECTION_ID          NUMBER(18, 0),
    INVOICE_ID                  NUMBER(18, 0),
    PAYMENT_NUM                 NUMBER(18, 0),
    HOLD_FLAG                   VARCHAR2(4)  ,
    ISSUE_DATE                  DATE         ,
    DOCUMENT_NUMBER             VARCHAR2(160),
    DRAWER_GUARANTOR            VARCHAR2(160),
    INSTRUCTION_1               VARCHAR2(160),
    INSTRUCTION_2               VARCHAR2(160),
    CURRENCY_CODE               VARCHAR2(60)     NOT NULL,
    DUE_DATE                    DATE         ,
    AMOUNT                      NUMBER       ,
    DISCOUNT_DATE               DATE         ,
    DISCOUNT_AMOUNT             NUMBER       ,
    ARREARS_DATE                DATE         ,
    ARREARS_CODE                VARCHAR2(4)  ,
    ARREARS_INTEREST            NUMBER       ,
    ABATE_AMOUNT                NUMBER       ,
    PAID_AMOUNT                 NUMBER       ,
    PAYMENT_LOCATION            VARCHAR2(120),
    DOCUMENT_TYPE               VARCHAR2(8)  ,
    ACCEPTANCE                  VARCHAR2(4)  ,
    PROCESSING_DATE             DATE         ,
    BANK_USE                    VARCHAR2(100),
    PORTFOLIO                   VARCHAR2(12) ,
    PENALTY_FEE_AMOUNT          NUMBER       ,
    PENALTY_FEE_DATE            DATE         ,
    OTHER_ACCRETIONS            NUMBER       ,
    OUR_NUMBER                  VARCHAR2(80) ,
    TRANSFEROR_CODE             VARCHAR2(40) ,
    VENDOR_SITE_ID              NUMBER(18, 0)    NOT NULL,
    FILE_CONTROL                VARCHAR2(80) ,
    STATUS_LOOKUP_CODE          VARCHAR2(120),
    ATTRIBUTE_CATEGORY          VARCHAR2(600),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE16                 VARCHAR2(600),
    ATTRIBUTE17                 VARCHAR2(600),
    ATTRIBUTE18                 VARCHAR2(600),
    ATTRIBUTE19                 VARCHAR2(600),
    ATTRIBUTE20                 VARCHAR2(600),
    ATTRIBUTE21                 VARCHAR2(600),
    ATTRIBUTE22                 VARCHAR2(600),
    ATTRIBUTE23                 VARCHAR2(600),
    ATTRIBUTE24                 VARCHAR2(600),
    ATTRIBUTE25                 VARCHAR2(600),
    ATTRIBUTE26                 VARCHAR2(600),
    ATTRIBUTE27                 VARCHAR2(600),
    ATTRIBUTE28                 VARCHAR2(600),
    ATTRIBUTE29                 VARCHAR2(600),
    ATTRIBUTE30                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    ENTRY_SEQUENTIAL_NUMBER     NUMBER(6, 0) ,
    SET_OF_BOOKS_ID             NUMBER(18, 0)    NOT NULL,
    VENDOR_ID                   NUMBER(18, 0)    NOT NULL,
    BANK_BRANCH_ID              NUMBER(18, 0),
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    BRANCH_PARTY_ID             NUMBER(18, 0)    NOT NULL,
    BANK_PARTY_ID               NUMBER(18, 0),
    BARCODE                     VARCHAR2(960),
    ELECTRONIC_FORMAT_FLAG      VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    INVOICE_NUM                 VARCHAR2(200),
    BARCODE_TYPE_CODE           VARCHAR2(120)    NOT NULL,
    PARTY_ID                    NUMBER(18, 0),
    PARTY_SITE_ID               NUMBER(18, 0),
    REGISTRATION_NUMBER         VARCHAR2(120),
    REGISTRATION_ID             NUMBER(18, 0),
    LEGAL_ENTITY_ID             NUMBER(18, 0),
    TAX_AUTHORITY_DOC_NUMBER    VARCHAR2(480),
    CITY_TAX_AMOUNT             NUMBER       ,
    STATE_TAX_AMOUNT            NUMBER       ,
    COUNTRY_TAX_AMOUNT          NUMBER       ,
    EXCISE_TAX_AMOUNT           NUMBER       ,
    BANK_COLLECTION_ID          NUMBER(18, 0),
    INVOICE_ID                  NUMBER(18, 0),
    PAYMENT_NUM                 NUMBER(18, 0),
    HOLD_FLAG                   VARCHAR2(4)  ,
    ISSUE_DATE                  DATE         ,
    DOCUMENT_NUMBER             VARCHAR2(160),
    DRAWER_GUARANTOR            VARCHAR2(160),
    INSTRUCTION_1               VARCHAR2(160),
    INSTRUCTION_2               VARCHAR2(160),
    CURRENCY_CODE               VARCHAR2(60)     NOT NULL,
    DUE_DATE                    DATE         ,
    AMOUNT                      NUMBER       ,
    DISCOUNT_DATE               DATE         ,
    DISCOUNT_AMOUNT             NUMBER       ,
    ARREARS_DATE                DATE         ,
    ARREARS_CODE                VARCHAR2(4)  ,
    ARREARS_INTEREST            NUMBER       ,
    ABATE_AMOUNT                NUMBER       ,
    PAID_AMOUNT                 NUMBER       ,
    PAYMENT_LOCATION            VARCHAR2(120),
    DOCUMENT_TYPE               VARCHAR2(8)  ,
    ACCEPTANCE                  VARCHAR2(4)  ,
    PROCESSING_DATE             DATE         ,
    BANK_USE                    VARCHAR2(100),
    PORTFOLIO                   VARCHAR2(12) ,
    PENALTY_FEE_AMOUNT          NUMBER       ,
    PENALTY_FEE_DATE            DATE         ,
    OTHER_ACCRETIONS            NUMBER       ,
    OUR_NUMBER                  VARCHAR2(80) ,
    TRANSFEROR_CODE             VARCHAR2(40) ,
    VENDOR_SITE_ID              NUMBER(18, 0)    NOT NULL,
    FILE_CONTROL                VARCHAR2(80) ,
    STATUS_LOOKUP_CODE          VARCHAR2(120),
    ATTRIBUTE_CATEGORY          VARCHAR2(600),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE16                 VARCHAR2(600),
    ATTRIBUTE17                 VARCHAR2(600),
    ATTRIBUTE18                 VARCHAR2(600),
    ATTRIBUTE19                 VARCHAR2(600),
    ATTRIBUTE20                 VARCHAR2(600),
    ATTRIBUTE21                 VARCHAR2(600),
    ATTRIBUTE22                 VARCHAR2(600),
    ATTRIBUTE23                 VARCHAR2(600),
    ATTRIBUTE24                 VARCHAR2(600),
    ATTRIBUTE25                 VARCHAR2(600),
    ATTRIBUTE26                 VARCHAR2(600),
    ATTRIBUTE27                 VARCHAR2(600),
    ATTRIBUTE28                 VARCHAR2(600),
    ATTRIBUTE29                 VARCHAR2(600),
    ATTRIBUTE30                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    ENTRY_SEQUENTIAL_NUMBER     NUMBER(6, 0) ,
    SET_OF_BOOKS_ID             NUMBER(18, 0)    NOT NULL,
    VENDOR_ID                   NUMBER(18, 0)    NOT NULL,
    BANK_BRANCH_ID              NUMBER(18, 0),
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    BRANCH_PARTY_ID             NUMBER(18, 0)    NOT NULL,
    BANK_PARTY_ID               NUMBER(18, 0),
    BARCODE                     VARCHAR2(960),
    ELECTRONIC_FORMAT_FLAG      VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    INVOICE_NUM                 VARCHAR2(200),
    BARCODE_TYPE_CODE           VARCHAR2(120)    NOT NULL,
    PARTY_ID                    NUMBER(18, 0),
    PARTY_SITE_ID               NUMBER(18, 0),
    REGISTRATION_NUMBER         VARCHAR2(120),
    REGISTRATION_ID             NUMBER(18, 0),
    LEGAL_ENTITY_ID             NUMBER(18, 0),
    TAX_AUTHORITY_DOC_NUMBER    VARCHAR2(480),
    CITY_TAX_AMOUNT             NUMBER       ,
    STATE_TAX_AMOUNT            NUMBER       ,
    COUNTRY_TAX_AMOUNT          NUMBER       ,
    EXCISE_TAX_AMOUNT           NUMBER       ,
    CONSTRAINT pk_jl_br_ap_collection_docs_all PRIMARY KEY (BANK_COLLECTION_ID, BANK_COLLECTION_ID)
);
